%global momorel 7

Name:           perl-Catalyst-Controller-BindLex
Version:        0.05
Release: %{momorel}m%{?dist}
Summary:        Stash your lexical goodness
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Controller-BindLex/
Source0:	http://www.cpan.org/modules/by-module/Catalyst/Catalyst-Controller-BindLex-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.8.1
BuildRequires:  perl-Array-RefElem
BuildRequires:  perl-Catalyst-Runtime
BuildRequires:  perl-Devel-Caller
BuildRequires:  perl-Devel-LexAlias
BuildRequires:  perl-Module-Build
BuildRequires:  perl-PadWalker
BuildRequires:  perl-Test-use-ok
Requires:       perl-Array-RefElem
Requires:       perl-Catalyst-Runtime
Requires:       perl-Devel-Caller
Requires:       perl-Devel-LexAlias
Requires:       perl-PadWalker
Requires:       perl-Test-use-ok
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This plugin lets you put your lexicals on the stash and elsewhere
very easily.

%prep
%setup -q -n Catalyst-Controller-BindLex-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*/*
%{perl_vendorlib}/*/*/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.05-7m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-6m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-5m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.05-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-3m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.05-2m)
- rebuild against rpm-4.6

* Wed May 28 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-1m)
- update to 0.05
- Specfile re-generated by cpanspec 1.75 for Momonga Linux.

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.03-4m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.03-3m)
- use vendor

* Sat Oct 07 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.03-2m)
- delete dupclicate directory

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.03-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
